Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JREvaluationTime

    java.lang.Object
      net.sf.jasperreports.engine.fill.JREvaluationTime

All Implemented Interfaces:
  java.io.Serializable

    public final class JREvaluationTime

extends java.lang.Object
implements java.io.Serializable

An evaluation time during the report fill process.

Version:
  $Id: JREvaluationTime.java 3687 2010-04-06 09:50:42Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static JREvaluationTime` | `EVALUATION_TIME_COLUMN` Evaluation time corresponding to `EvaluationTimeEnum.COLUMN`.
`static JREvaluationTime` | `EVALUATION_TIME_NOW` Evaluation time corresponding to `EvaluationTimeEnum.NOW`.
`static JREvaluationTime` | `EVALUATION_TIME_PAGE` Evaluation time corresponding to `EvaluationTimeEnum.PAGE`.
`static JREvaluationTime` | `EVALUATION_TIME_REPORT` Evaluation time corresponding to `EvaluationTimeEnum.REPORT`.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static JREvaluationTime` | `getBandEvaluationTime(JRFillBand band)` Returns the evaluation time corresponding to `EvaluationTimeEnum.BAND` for a specific band.
`static JREvaluationTime` | `getEvaluationTime(EvaluationTimeEnum type, JRGroup group, JRFillBand band)` Returns the evaluation time corresponding to an evaluation time type.
`static JREvaluationTime` | `getGroupEvaluationTime(java.lang.String groupName)` Returns the evaluation time corresponding to `EvaluationTimeEnum.GROUP` for a specific group.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVALUATION_TIME_REPORT

    public static final JREvaluationTime EVALUATION_TIME_REPORT

  Evaluation time corresponding to `EvaluationTimeEnum.REPORT`.

### EVALUATION_TIME_PAGE

    public static final JREvaluationTime EVALUATION_TIME_PAGE

  Evaluation time corresponding to `EvaluationTimeEnum.PAGE`.

### EVALUATION_TIME_COLUMN

    public static final JREvaluationTime EVALUATION_TIME_COLUMN

  Evaluation time corresponding to `EvaluationTimeEnum.COLUMN`.

### EVALUATION_TIME_NOW

    public static final JREvaluationTime EVALUATION_TIME_NOW

  Evaluation time corresponding to `EvaluationTimeEnum.NOW`.

Method Detail

### getGroupEvaluationTime

    public static JREvaluationTime getGroupEvaluationTime(java.lang.String groupName)

  Returns the evaluation time corresponding to `EvaluationTimeEnum.GROUP` for a specific group.

  Parameters:
    `groupName` - the group name
  Returns:
    corresponding group evaluation time

### getBandEvaluationTime

    public static JREvaluationTime getBandEvaluationTime(JRFillBand band)

  Returns the evaluation time corresponding to `EvaluationTimeEnum.BAND` for a specific band.

  Parameters:
    `band` - the band
  Returns:
    corresponding band evaluation time

### getEvaluationTime

    public static JREvaluationTime getEvaluationTime(EvaluationTimeEnum type,
                                                     JRGroup group,
                                                     JRFillBand band)

  Returns the evaluation time corresponding to an evaluation time type.

  Parameters:
    `type` - the evaluation time type
    `group` - the group used for `EvaluationTimeEnum.GROUP` evaluation time type
    `band` - the band used for `EvaluationTimeEnum.BAND` evaluation time type
  Returns:
    the evaluation time corresponding to an evaluation time type

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com